<?php 

namespace App\Exports;
use App\Models\Giving;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
class GivingListExport implements FromQuery, WithHeadings, WithMapping, ShouldAutoSize
{
	
	protected $query;
	
    public function __construct($query)
    {
        $this->query = $query->select(Giving::exportListFields());
    }
	
    public function query()
    {
        return $this->query;
    }
	
	public function headings(): array
    {
        return [
			'Member Id',
			'Fullname',
			'Adopt',
			'Datetime',
			'Mode Of Giving',
			'Transaction No',
			'Amount',
			'Currency',
			'CV Amount $'
        ];
    }
	
    public function map($record): array
    {
        return [
			$record->member_id,
			$record->fullname,
			$record->token,
			$record->datetime,
			$record->mode_of_giving,
			$record->transaction_no,
			$record->amount,
			$record->institution,
			$record->status
        ];
    }
}
