<?php 

namespace App\Exports;
use App\Models\Giving;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
class GivingSeniorCellExport implements FromQuery, WithHeadings, WithMapping, ShouldAutoSize
{
	
	protected $query;
	
    public function __construct($query)
    {
        $this->query = $query->select(Giving::exportSeniorCellFields());
    }
	
    public function query()
    {
        return $this->query;
    }
	
	public function headings(): array
    {
        return [
			'Id',
			'Member Id',
			'Church Id',
			'Care Group Id',
			'Fellowship Id',
			'Senior Cell Id',
			'Cell Id',
			'Datetime',
			'Mode Of Giving',
			'Transaction No',
			'Institution',
			'Amount',
			'Token',
			'Status',
			'Fullname'
        ];
    }
	
    public function map($record): array
    {
        return [
			$record->id,
			$record->member_id,
			$record->church_id,
			$record->care_group_id,
			$record->fellowship_id,
			$record->senior_cell_id,
			$record->cell_id,
			$record->datetime,
			$record->mode_of_giving,
			$record->transaction_no,
			$record->institution,
			$record->amount,
			$record->token,
			$record->status,
			$record->fullname
        ];
    }
}
