<?php 

namespace App\Exports;
use App\Models\Givings;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
class GivingsListExport implements FromQuery, WithHeadings, WithMapping, ShouldAutoSize
{
	
	protected $query;
	
    public function __construct($query)
    {
        $this->query = $query->select(Givings::exportListFields());
    }
	
    public function query()
    {
        return $this->query;
    }
	
	public function headings(): array
    {
        return [
			'Member Number',
			'Datetime',
			'Mode Of Giving',
			'Transaction No',
			'Institution',
			'Amount',
			'Token',
			'Status',
			'Church Id'
        ];
    }
	
    public function map($record): array
    {
        return [
			$record->member_id,
			$record->datetime,
			$record->mode_of_giving,
			$record->transaction_no,
			$record->institution,
			$record->amount,
			$record->token,
			$record->status,
			$record->church_id
        ];
    }
}
