<?php 

namespace App\Exports;
use App\Models\Member;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
class MemberListExport implements FromQuery, WithHeadings, WithMapping, ShouldAutoSize
{
	
	protected $query;
	
    public function __construct($query)
    {
        $this->query = $query->select(Member::exportListFields());
    }
	
    public function query()
    {
        return $this->query;
    }
	
	public function headings(): array
    {
        return [
			'Full Name',
			'Email',
			'Phone',
			'Position',
			'Church',
			'Fellowship',
			'Senior Cell',
			'Cell',
			'Care Group Id'
        ];
    }
	
    public function map($record): array
    {
        return [
			$record->full_name,
			$record->email,
			$record->phone,
			$record->position,
			$record->church_id,
			$record->fellowship_id,
			$record->senior_cell_id,
			$record->cell_id,
			$record->care_group_id
        ];
    }
}
