<?php
namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MemberEditRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
		
        return [
            
				"full_name" => "filled|string",
				"email" => "filled|email",
				"phone" => "filled|string",
				"position" => "filled",
				"church_id" => "filled",
				"care_group_id" => "filled",
				"fellowship_id" => "filled",
				"senior_cell_id" => "filled",
				"cell_id" => "filled",
				"profile_pic" => "nullable",
            
        ];
    }

	public function messages()
    {
        return [
			
            //using laravel default validation messages
        ];
    }

    /**
     *  Filters to be applied to the input.
     *
     * @return array
     */
    public function filters()
    {
        return [
            //eg = 'name' => 'trim|capitalize|escape'
        ];
    }
}
