<?php 
namespace App\Models;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
/**
 * Components data Model
 * Use for getting values from the database for page components
 * Support raw query builder
 * @category Model
 */
class ComponentsData{
	

	/**
     * church_id_option_list Model Action
     * @return array
     */
	function church_id_option_list(){
		$sqltext = "SELECT church_name AS value,church_name AS label FROM church";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * care_group_id_option_list Model Action
     * @return array
     */
	function care_group_id_option_list(){
		$sqltext = "SELECT name AS value,name AS label FROM care_group";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * Check if value already exist in User table
	 * @param string $value
     * @return bool
     */
	function user_username_value_exist(Request $request){
		$value = trim($request->value);
		$exist = DB::table('user')->where('username', $value)->value('username');   
		if($exist){
			return true;
		}
		return false;
	}
	

	/**
     * Check if value already exist in User table
	 * @param string $value
     * @return bool
     */
	function user_email_value_exist(Request $request){
		$value = trim($request->value);
		$exist = DB::table('user')->where('email', $value)->value('email');   
		if($exist){
			return true;
		}
		return false;
	}
	

	/**
     * Check if value already exist in User table
	 * @param string $value
     * @return bool
     */
	function user_member_id_value_exist(Request $request){
		$value = trim($request->value);
		$exist = DB::table('user')->where('member_id', $value)->value('member_id');   
		if($exist){
			return true;
		}
		return false;
	}
	

	/**
     * fellowship_id_option_list Model Action
     * @return array
     */
	function fellowship_id_option_list(){
		$sqltext = "SELECT name AS value,name AS label FROM fellowship";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * member_church_id_option_list Model Action
     * @return array
     */
	function member_church_id_option_list(){
		$sqltext = "SELECT id AS value,church_name AS label FROM church";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * member_care_group_id_option_list Model Action
     * @return array
     */
	function member_care_group_id_option_list(){
		$sqltext = "SELECT id AS value,name AS label FROM care_group";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * member_fellowship_id_option_list Model Action
     * @return array
     */
	function member_fellowship_id_option_list(){
		$sqltext = "SELECT id AS value,name AS label FROM fellowship";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * senior_cell_id_option_list Model Action
     * @return array
     */
	function senior_cell_id_option_list(){
		$sqltext = "SELECT id AS value,name AS label FROM senior_cell";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * cell_id_option_list Model Action
     * @return array
     */
	function cell_id_option_list(){
		$sqltext = "SELECT id AS value,name AS label FROM cell";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * cell_senior_cell_id_option_list Model Action
     * @return array
     */
	function cell_senior_cell_id_option_list(){
		$sqltext = "SELECT name AS value,name AS label FROM senior_cell";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * permission_id_option_list Model Action
     * @return array
     */
	function permission_id_option_list(){
		$sqltext = "SELECT id as value, name as label FROM permissions";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * role_id_option_list Model Action
     * @return array
     */
	function role_id_option_list(){
		$sqltext = "SELECT id as value, name as label FROM roles";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * member_id_option_list Model Action
     * @return array
     */
	function member_id_option_list(){
		$sqltext = "SELECT phone AS value,phone AS label FROM member";
		$query_params = [];
		$arr = DB::select(DB::raw($sqltext), $query_params);
		return $arr;
	}
	

	/**
     * getcount_registeredmembers Model Action
     * @return int
     */
	function getcount_registeredmembers(){
		$sqltext = "SELECT COUNT(*) AS num FROM member";
		$query_params = [];
		$val = DB::selectOne(DB::raw($sqltext), $query_params);
		return $val->num;
	}
	

	/**
     * getcount_fellowship Model Action
     * @return int
     */
	function getcount_fellowship(){
		$sqltext = "SELECT fellowship_id AS fell, SUM(amount) AS num FROM giving";
		$query_params = [];
		$val = DB::selectOne(DB::raw($sqltext), $query_params);
		return $val->num;
	}
	

	/**
     * getcount_seniorcell Model Action
     * @return int
     */
	function getcount_seniorcell(){
		$sqltext = "SELECT senior_cell_id AS snr, SUM(amount) AS num FROM giving";
		$query_params = [];
		$val = DB::selectOne(DB::raw($sqltext), $query_params);
		return $val->num;
	}
	

	/**
     * getcount_cell Model Action
     * @return int
     */
	function getcount_cell(){
		$sqltext = "SELECT cell_id AS cell, SUM(amount) AS num FROM giving";
		$query_params = [];
		$val = DB::selectOne(DB::raw($sqltext), $query_params);
		return $val->num;
	}
	

	/**
	* barchart_ Model Action
	* @return array
	*/
	function barchart_(){
		$request = request();
		$chart_data  = [];
		$sqltext = "SELECT * FROM church";
		$query_params = [];
		$records = DB::select(DB::raw($sqltext), $query_params);
		$chart_labels = array_column($records, '');
		$datasets = [];
		$chart_data['datasets'] = $datasets;
		$chart_data['labels'] = $chart_labels;
		return $chart_data;
	}
	

	/**
     * getcount_target Model Action
     * @return int
     */
	function getcount_target(){
		$sqltext = "SELECT SUM(amount) AS num FROM giving";
		$query_params = [];
		$val = DB::selectOne(DB::raw($sqltext), $query_params);
		return $val->num;
	}
}
