<?php 
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
class Givings extends Model 
{
	

	/**
     * The table associated with the model.
     *
     * @var string
     */
	protected $table = 'givings';
	

	/**
     * The table primary key field
     *
     * @var string
     */
	protected $primaryKey = 'id';
	

	/**
     * Table fillable fields
     *
     * @var array
     */
	protected $fillable = [
		'member_id','church_id','care_group_id','fellowship_id','senior_cell_id','cell_id','mode_of_giving','transaction_no','institution','amount','token','status'
	];
	

	/**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
	public $timestamps = false;
	

	/**
     * Set search query for the model
	 * @param \Illuminate\Database\Eloquent\Builder $query
	 * @param string $text
     */
	public static function search($query, $text){
		//search table record 
		$search_condition = '(
				mode_of_giving LIKE ?  OR 
				transaction_no LIKE ?  OR 
				institution LIKE ?  OR 
				token LIKE ?  OR 
				status LIKE ? 
		)';
		$search_params = [
			"%$text%","%$text%","%$text%","%$text%","%$text%"
		];
		//setting search conditions
		$query->whereRaw($search_condition, $search_params);
	}
	

	/**
     * return list page fields of the model.
     * 
     * @return array
     */
	public static function listFields(){
		return [ 
			"id",
			"member_id",
			"church_id",
			"care_group_id",
			"fellowship_id",
			"senior_cell_id",
			"cell_id",
			"datetime",
			"mode_of_giving",
			"transaction_no",
			"institution",
			"amount",
			"token",
			"status" 
		];
	}
	

	/**
     * return exportList page fields of the model.
     * 
     * @return array
     */
	public static function exportListFields(){
		return [ 
			"id",
			"member_id",
			"church_id",
			"care_group_id",
			"fellowship_id",
			"senior_cell_id",
			"cell_id",
			"datetime",
			"mode_of_giving",
			"transaction_no",
			"institution",
			"amount",
			"token",
			"status" 
		];
	}
	

	/**
     * return view page fields of the model.
     * 
     * @return array
     */
	public static function viewFields(){
		return [ 
			"id",
			"member_id",
			"church_id",
			"care_group_id",
			"fellowship_id",
			"senior_cell_id",
			"cell_id",
			"datetime",
			"mode_of_giving",
			"transaction_no",
			"institution",
			"amount",
			"token",
			"status" 
		];
	}
	

	/**
     * return exportView page fields of the model.
     * 
     * @return array
     */
	public static function exportViewFields(){
		return [ 
			"id",
			"member_id",
			"church_id",
			"care_group_id",
			"fellowship_id",
			"senior_cell_id",
			"cell_id",
			"datetime",
			"mode_of_giving",
			"transaction_no",
			"institution",
			"amount",
			"token",
			"status" 
		];
	}
	

	/**
     * return edit page fields of the model.
     * 
     * @return array
     */
	public static function editFields(){
		return [ 
			"id",
			"member_id",
			"church_id",
			"care_group_id",
			"fellowship_id",
			"senior_cell_id",
			"cell_id",
			"mode_of_giving",
			"transaction_no",
			"institution",
			"amount",
			"token",
			"status" 
		];
	}
}
