<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



	Route::get('', 'IndexController@index')->name('index');
	Route::get('index/login', 'IndexController@login')->name('login');
	
	
	
	Route::post('auth/login', 'AuthController@login')->name('auth.login');
	Route::any('auth/logout', 'AuthController@logout')->name('logout')->middleware(['auth']);

	Route::get('auth/accountcreated', 'AuthController@accountcreated')->name('accountcreated');
	Route::get('auth/accountpending', 'AuthController@accountpending')->name('accountpending');
	Route::get('auth/accountblocked', 'AuthController@accountblocked')->name('accountblocked');
	Route::get('auth/accountinactive', 'AuthController@accountinactive')->name('accountinactive');


	
	Route::get('user/add', 'UserController@add')->name('user.add');
	Route::post('user/store', 'UserController@store')->name('user.store');
		
	Route::post('auth/login', 'AuthController@login')->name('auth.login');
	Route::get('auth/password/forgotpassword', 'AuthController@showForgotPassword')->name('password.forgotpassword');
	Route::post('auth/password/sendemail', 'AuthController@sendPasswordResetLink')->name('password.email');
	Route::get('auth/password/reset', 'AuthController@showResetPassword')->name('password.reset.token');
	Route::post('auth/password/resetpassword', 'AuthController@resetPassword')->name('password.resetpassword');
	Route::get('auth/password/resetcompleted', 'AuthController@passwordResetCompleted')->name('password.resetcompleted');
	Route::get('auth/password/linksent', 'AuthController@passwordResetLinkSent')->name('password.resetlinksent');
	

/**
 * All routes which requires auth
 */
Route::middleware(['auth'])->group(function () {
		
	Route::get('home', 'HomeController@index')->name('home');

	

/* routes for Roles Controller */	
	Route::get('roles', 'RolesController@index')->name('roles.index');
	Route::get('roles/index', 'RolesController@index')->name('roles.index');
	Route::get('roles/index/{filter?}/{filtervalue?}', 'RolesController@index')->name('roles.index');	
	Route::get('roles/view/{rec_id}', 'RolesController@view')->name('roles.view');	
	Route::get('roles/add', 'RolesController@add')->name('roles.add');
	Route::post('roles/store', 'RolesController@store')->name('roles.store');
		
	Route::any('roles/edit/{rec_id}', 'RolesController@edit')->name('roles.edit');	
	Route::get('roles/delete/{rec_id}', 'RolesController@delete');

/* routes for Fellowship Controller */	
	Route::get('fellowship', 'FellowshipController@index')->name('fellowship.index');
	Route::get('fellowship/index', 'FellowshipController@index')->name('fellowship.index');
	Route::get('fellowship/index/{filter?}/{filtervalue?}', 'FellowshipController@index')->name('fellowship.index');	
	Route::get('fellowship/view/{rec_id}', 'FellowshipController@view')->name('fellowship.view');	
	Route::get('fellowship/add', 'FellowshipController@add')->name('fellowship.add');
	Route::post('fellowship/store', 'FellowshipController@store')->name('fellowship.store');
		
	Route::any('fellowship/edit/{rec_id}', 'FellowshipController@edit')->name('fellowship.edit');	
	Route::get('fellowship/delete/{rec_id}', 'FellowshipController@delete');

/* routes for Care_Group Controller */	
	Route::get('care_group', 'Care_GroupController@index')->name('care_group.index');
	Route::get('care_group/index', 'Care_GroupController@index')->name('care_group.index');
	Route::get('care_group/index/{filter?}/{filtervalue?}', 'Care_GroupController@index')->name('care_group.index');	
	Route::get('care_group/view/{rec_id}', 'Care_GroupController@view')->name('care_group.view');	
	Route::get('care_group/add', 'Care_GroupController@add')->name('care_group.add');
	Route::post('care_group/store', 'Care_GroupController@store')->name('care_group.store');
		
	Route::any('care_group/edit/{rec_id}', 'Care_GroupController@edit')->name('care_group.edit');	
	Route::get('care_group/delete/{rec_id}', 'Care_GroupController@delete');

/* routes for User Controller */	
	Route::get('user', 'UserController@index')->name('user.index');
	Route::get('user/index', 'UserController@index')->name('user.index');
	Route::get('user/index/{filter?}/{filtervalue?}', 'UserController@index')->name('user.index');	
	Route::get('user/view/{rec_id}', 'UserController@view')->name('user.view');	
	Route::any('account/edit', 'AccountController@edit')->name('account.edit');	
	Route::get('account', 'AccountController@index');	
	Route::post('account/changepassword', 'AccountController@changepassword')->name('account.changepassword');	
	Route::any('user/edit/{rec_id}', 'UserController@edit')->name('user.edit');	
	Route::get('user/delete/{rec_id}', 'UserController@delete');

/* routes for Senior_Cell Controller */	
	Route::get('senior_cell', 'Senior_CellController@index')->name('senior_cell.index');
	Route::get('senior_cell/index', 'Senior_CellController@index')->name('senior_cell.index');
	Route::get('senior_cell/index/{filter?}/{filtervalue?}', 'Senior_CellController@index')->name('senior_cell.index');	
	Route::get('senior_cell/view/{rec_id}', 'Senior_CellController@view')->name('senior_cell.view');	
	Route::get('senior_cell/add', 'Senior_CellController@add')->name('senior_cell.add');
	Route::post('senior_cell/store', 'Senior_CellController@store')->name('senior_cell.store');
		
	Route::any('senior_cell/edit/{rec_id}', 'Senior_CellController@edit')->name('senior_cell.edit');	
	Route::get('senior_cell/delete/{rec_id}', 'Senior_CellController@delete');

/* routes for Member Controller */	
	Route::get('member', 'MemberController@index')->name('member.index');
	Route::get('member/index', 'MemberController@index')->name('member.index');
	Route::get('member/index/{filter?}/{filtervalue?}', 'MemberController@index')->name('member.index');	
	Route::get('member/view/{rec_id}', 'MemberController@view')->name('member.view');	
	Route::get('member/add', 'MemberController@add')->name('member.add');
	Route::post('member/store', 'MemberController@store')->name('member.store');
		
	Route::any('member/edit/{rec_id}', 'MemberController@edit')->name('member.edit');	
	Route::get('member/delete/{rec_id}', 'MemberController@delete');	
	Route::get('member/awards', 'MemberController@awards');
	Route::get('member/awards/{filter?}/{filtervalue?}', 'MemberController@awards');

/* routes for Cell Controller */	
	Route::get('cell', 'CellController@index')->name('cell.index');
	Route::get('cell/index', 'CellController@index')->name('cell.index');
	Route::get('cell/index/{filter?}/{filtervalue?}', 'CellController@index')->name('cell.index');	
	Route::get('cell/view/{rec_id}', 'CellController@view')->name('cell.view');	
	Route::get('cell/add', 'CellController@add')->name('cell.add');
	Route::post('cell/store', 'CellController@store')->name('cell.store');
		
	Route::any('cell/edit/{rec_id}', 'CellController@edit')->name('cell.edit');	
	Route::get('cell/delete/{rec_id}', 'CellController@delete');

/* routes for Permissions Controller */	
	Route::get('permissions', 'PermissionsController@index')->name('permissions.index');
	Route::get('permissions/index', 'PermissionsController@index')->name('permissions.index');
	Route::get('permissions/index/{filter?}/{filtervalue?}', 'PermissionsController@index')->name('permissions.index');	
	Route::get('permissions/view/{rec_id}', 'PermissionsController@view')->name('permissions.view');	
	Route::get('permissions/add', 'PermissionsController@add')->name('permissions.add');
	Route::post('permissions/store', 'PermissionsController@store')->name('permissions.store');
		
	Route::any('permissions/edit/{rec_id}', 'PermissionsController@edit')->name('permissions.edit');	
	Route::get('permissions/delete/{rec_id}', 'PermissionsController@delete');

/* routes for Model_Has_Permissions Controller */	
	Route::get('model_has_permissions', 'Model_Has_PermissionsController@index')->name('model_has_permissions.index');
	Route::get('model_has_permissions/index', 'Model_Has_PermissionsController@index')->name('model_has_permissions.index');
	Route::get('model_has_permissions/index/{filter?}/{filtervalue?}', 'Model_Has_PermissionsController@index')->name('model_has_permissions.index');	
	Route::get('model_has_permissions/view/{rec_id}', 'Model_Has_PermissionsController@view')->name('model_has_permissions.view');	
	Route::get('model_has_permissions/add', 'Model_Has_PermissionsController@add')->name('model_has_permissions.add');
	Route::post('model_has_permissions/store', 'Model_Has_PermissionsController@store')->name('model_has_permissions.store');
		
	Route::any('model_has_permissions/edit/{rec_id}', 'Model_Has_PermissionsController@edit')->name('model_has_permissions.edit');	
	Route::get('model_has_permissions/delete/{rec_id}', 'Model_Has_PermissionsController@delete');

/* routes for Model_Has_Roles Controller */	
	Route::get('model_has_roles', 'Model_Has_RolesController@index')->name('model_has_roles.index');
	Route::get('model_has_roles/index', 'Model_Has_RolesController@index')->name('model_has_roles.index');
	Route::get('model_has_roles/index/{filter?}/{filtervalue?}', 'Model_Has_RolesController@index')->name('model_has_roles.index');	
	Route::get('model_has_roles/view/{rec_id}', 'Model_Has_RolesController@view')->name('model_has_roles.view');	
	Route::get('model_has_roles/add', 'Model_Has_RolesController@add')->name('model_has_roles.add');
	Route::post('model_has_roles/store', 'Model_Has_RolesController@store')->name('model_has_roles.store');
		
	Route::any('model_has_roles/edit/{rec_id}', 'Model_Has_RolesController@edit')->name('model_has_roles.edit');	
	Route::get('model_has_roles/delete/{rec_id}', 'Model_Has_RolesController@delete');

/* routes for Role_Has_Permissions Controller */	
	Route::get('role_has_permissions', 'Role_Has_PermissionsController@index')->name('role_has_permissions.index');
	Route::get('role_has_permissions/index', 'Role_Has_PermissionsController@index')->name('role_has_permissions.index');
	Route::get('role_has_permissions/index/{filter?}/{filtervalue?}', 'Role_Has_PermissionsController@index')->name('role_has_permissions.index');	
	Route::get('role_has_permissions/view/{rec_id}', 'Role_Has_PermissionsController@view')->name('role_has_permissions.view');	
	Route::get('role_has_permissions/add', 'Role_Has_PermissionsController@add')->name('role_has_permissions.add');
	Route::post('role_has_permissions/store', 'Role_Has_PermissionsController@store')->name('role_has_permissions.store');
		
	Route::any('role_has_permissions/edit/{rec_id}', 'Role_Has_PermissionsController@edit')->name('role_has_permissions.edit');	
	Route::get('role_has_permissions/delete/{rec_id}', 'Role_Has_PermissionsController@delete');

/* routes for Church Controller */	
	Route::get('church', 'ChurchController@index')->name('church.index');
	Route::get('church/index', 'ChurchController@index')->name('church.index');
	Route::get('church/index/{filter?}/{filtervalue?}', 'ChurchController@index')->name('church.index');	
	Route::get('church/view/{rec_id}', 'ChurchController@view')->name('church.view');	
	Route::get('church/add', 'ChurchController@add')->name('church.add');
	Route::post('church/store', 'ChurchController@store')->name('church.store');
		
	Route::any('church/edit/{rec_id}', 'ChurchController@edit')->name('church.edit');	
	Route::get('church/delete/{rec_id}', 'ChurchController@delete');

/* routes for Giving Controller */	
	Route::get('giving', 'GivingController@index')->name('giving.index');
	Route::get('giving/index', 'GivingController@index')->name('giving.index');
	Route::get('giving/index/{filter?}/{filtervalue?}', 'GivingController@index')->name('giving.index');	
	Route::get('giving/view/{rec_id}', 'GivingController@view')->name('giving.view');	
	Route::get('giving/add', 'GivingController@add')->name('giving.add');
	Route::post('giving/store', 'GivingController@store')->name('giving.store');
	

/* routes for Currency Controller */	
	Route::get('currency', 'CurrencyController@index')->name('currency.index');
	Route::get('currency/index', 'CurrencyController@index')->name('currency.index');
	Route::get('currency/index/{filter?}/{filtervalue?}', 'CurrencyController@index')->name('currency.index');	
	Route::get('currency/view/{rec_id}', 'CurrencyController@view')->name('currency.view');	
	Route::get('currency/add', 'CurrencyController@add')->name('currency.add');
	Route::post('currency/store', 'CurrencyController@store')->name('currency.store');
		
	Route::any('currency/edit/{rec_id}', 'CurrencyController@edit')->name('currency.edit');	
	Route::get('currency/delete/{rec_id}', 'CurrencyController@delete');

/* routes for Target Controller */	
	Route::get('target', 'TargetController@index')->name('target.index');
	Route::get('target/index', 'TargetController@index')->name('target.index');
	Route::get('target/index/{filter?}/{filtervalue?}', 'TargetController@index')->name('target.index');	
	Route::get('target/view/{rec_id}', 'TargetController@view')->name('target.view');	
	Route::get('target/add', 'TargetController@add')->name('target.add');
	Route::post('target/store', 'TargetController@store')->name('target.store');
		
	Route::any('target/edit/{rec_id}', 'TargetController@edit')->name('target.edit');	
	Route::get('target/delete/{rec_id}', 'TargetController@delete');
});

	
Route::get('componentsdata/church_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->church_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/care_group_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->care_group_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/user_username_value_exist',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->user_username_value_exist($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/user_email_value_exist',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->user_email_value_exist($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/user_member_id_value_exist',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->user_member_id_value_exist($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/fellowship_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->fellowship_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/member_church_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->member_church_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/member_care_group_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->member_care_group_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/member_fellowship_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->member_fellowship_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/senior_cell_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->senior_cell_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/cell_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->cell_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/cell_senior_cell_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->cell_senior_cell_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/permission_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->permission_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/role_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->role_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/member_id_option_list',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->member_id_option_list($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/getcount_registeredmembers',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->getcount_registeredmembers($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/getcount_fellowship',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->getcount_fellowship($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/getcount_seniorcell',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->getcount_seniorcell($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/getcount_cell',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->getcount_cell($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/barchart_',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->barchart_($request);
	}
)->middleware(['auth']);
	
Route::get('componentsdata/getcount_target',  function(Request $request){
		$compModel = new App\Models\ComponentsData();
		return $compModel->getcount_target($request);
	}
)->middleware(['auth']);


Route::post('fileuploader/upload/{fieldname}', 'FileUploaderController@upload');
Route::post('fileuploader/s3upload/{fieldname}', 'FileUploaderController@s3upload');
Route::post('fileuploader/remove_temp_file', 'FileUploaderController@remove_temp_file');


/**
 * All static content routes
 */
Route::get('info/about',  function(){
		return view("pages.info.about");
	}
);
Route::get('info/faq',  function(){
		return view("pages.info.faq");
	}
);

Route::get('info/contact',  function(){
	return view("pages.info.contact");
}
);
Route::get('info/contactsent',  function(){
	return view("pages.info.contactsent");
}
);

Route::post('info/contact',  function(Request $request){
		$request->validate([
			'name' => 'required',
			'email' => 'required|email',
			'message' => 'required'
		]);

		$senderName = $request->name;
		$senderEmail = $request->email;
		$message = $request->message;

		$receiverEmail = config("mail.from.address");

		Mail::send(
			'pages.info.contactemail', [
				'name' => $senderName,
				'email' => $senderEmail,
				'comment' => $message
			],
			function ($mail) use ($senderEmail, $receiverEmail) {
				$mail->from($senderEmail);
				$mail->to($receiverEmail)
					->subject('Contact Form');
			}
		);
		return redirect("info/contactsent");
	}
);


Route::get('info/features',  function(){
		return view("pages.info.features");
	}
);
Route::get('info/privacypolicy',  function(){
		return view("pages.info.privacypolicy");
	}
);
Route::get('info/termsandconditions',  function(){
		return view("pages.info.termsandconditions");
	}
);

Route::get('info/changelocale/{locale}', function ($locale) {
	app()->setlocale($locale);
	session()->put('locale', $locale);
    return redirect()->back();
})->name('info.changelocale');